TinyMCE is not available on the iPad

Bug #1576643 reported by José Antonio Rodríguez on 2016-04-29
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Unassigned

Bug Description

Version of Mahara is 15.10.1.
Server operating system is Linux
Databaseis Postgres
Browser is Safari

Editing the portfolio using Safari in an Ipad, when we add a text box, the toolbar don't appears

summary: - Editing the portfolio using Safari in an Ipad, when we add a text box,
- the toolbar don't appears
+ TinyMCE is not available on the iPad
tags: added: front-end
Changed in mahara:
status: New → Confirmed
importance: Undecided → Medium
milestone: none → 16.10.0
importance: Medium → High

We'll have to check if TinyMCE can work on the iPad. iirc it did in the past but not since we switched to Bootstrap.

Aaron commented at https://bugs.launchpad.net/mahara/+bug/1539322/comments/1 that "Device detection" turned on disables TinyMCE. Will need to test if that makes a difference.

It doesn't make any difference for me. TinyMCE on the iPad does work on the TinyMCE sample page https://www.tinymce.com/docs/demo/classic/

Jose, if you want to give it a go there that would be great.

Reviewed: https://reviews.mahara.org/6618
Committed: https://git.mahara.org/mahara/mahara/commit/4616ac02c706c2e74929d6a9fa9ed339b3c2afc2
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 4616ac02c706c2e74929d6a9fa9ed339b3c2afc2
Author: Pat Kira <email address hidden>
Date: Fri Jun 24 11:31:21 2016 +1200

Bug 1576643 - Enabled tinyMCE on mobile devices

behatnotneeded: Can't test mobile
Change-Id: Ic0ba811d66a6f52468517108fffd331956262748

Robert Lyon (robertl-9) on 2016-06-26
Changed in mahara:
status: Confirmed → Fix Committed
tags: added: usermanualupdate
Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6689

Reviewed: https://reviews.mahara.org/6689
Committed: https://git.mahara.org/mahara/mahara/commit/74684cd0c0fbeffd3c6861e003e3d86356d0380f
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 74684cd0c0fbeffd3c6861e003e3d86356d0380f
Author: Pat Kira <email address hidden>
Date: Fri Jun 24 11:31:21 2016 +1200

Bug 1576643 - Enabled tinyMCE on mobile devices

behatnotneeded: Can't test mobile
Change-Id: Ic0ba811d66a6f52468517108fffd331956262748
(cherry picked from commit 4616ac02c706c2e74929d6a9fa9ed339b3c2afc2)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6688
Committed: https://git.mahara.org/mahara/mahara/commit/73f51de41227553449c1ec7bb7a4f2affe2e880a
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 73f51de41227553449c1ec7bb7a4f2affe2e880a
Author: Pat Kira <email address hidden>
Date: Fri Jun 24 11:31:21 2016 +1200

Bug 1576643 - Enabled tinyMCE on mobile devices

behatnotneeded: Can't test mobile
Change-Id: Ic0ba811d66a6f52468517108fffd331956262748
(cherry picked from commit 4616ac02c706c2e74929d6a9fa9ed339b3c2afc2)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers